%% a
clc
clear
close all

t = -10:0.1:10;
y = -0.1:0.1:1.1;
y_u = u(t,0);
y_r = r(t,0);
y_P = P(t,0);

subplot(1,3,1)
plot(t,u(t,0),'LineWidth', 2)
ylim([-0.1, 1.1]);
title('Plot of u(t)')
grid on
xlabel('Time (s)');
ylabel('Amplitude');

subplot(1,3,2)
plot(t,r(t,0),'LineWidth', 2)
title('Plot of r(t)')
grid on
xlabel('Time (s)');
ylabel('Amplitude');

subplot(1,3,3)
plot(t,P(t,1),'LineWidth', 2)
title('Plot of P(t)')
ylim([-0.1, 1.1]);
grid on
xlabel('Time (s)');
ylabel('Amplitude');

%% b
clc
clear
close all

t = -10:0.1:10;
y = -0.1:0.1:1.1;
y_u = u(t,0);
y_r = r(t,0);
y_P = P(t,0);

x1 = (r(t,0) - r(t,2)) + 3*u(t,2) + 0.4*P(t,9);
x2 = r(t,0) - 2*r(t,2) + 4*u(t,2) + r(t,4) - 4*u(t,4);

figure(1)
plot(t,x1,'LineWidth', 2)
title('Plot of x1')
grid on
xlabel('Time (s)');
ylabel('Amplitude');
hold on

plot(t,x2, ':','LineWidth', 2)
title('Plot of x1 and x2')
grid on
xlabel('Time (s)');
ylabel('Amplitude');
legend({'x1','x2'},'Location','southeast','NumColumns',2)